| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
7.0::

# Method file_stat()

Method file_stat

  `array(int) file_stat(string path, void|int symlink)`

Description

  Stat a file (Pike 7.0 compatibility).

Returns

  Returns an array with the following content:

  Array
  `int mode` | Access mode.
  `int size` | Size in bytes, or filetype indicator.
  `int atime` | Last access time.
  `int mtime` | Last modification time.
  `int ctime` | Last change time.
  `int uid` | User id.
  `int gid` | Group id.

  See file_stat() for a full description of the array.

See also

  file_stat()